package main

import (
	"fmt"

	"github.com/bwmarrin/discordgo"
)

func messageCreate(s *discordgo.Session, m *discordgo.MessageCreate) {
	if m.Author.Bot {
		return
	}
	go incrementXP(s, m.Author.ID)

	if m.Content == "p!level" {
		handleXPRequest(s, m)
	}
}

func handleXPRequest(s *discordgo.Session, m *discordgo.MessageCreate) {
	level, xp := getLevelAndXP(s, m.Author.ID)
	s.ChannelMessageSend(
		m.ChannelID,
		fmt.Sprintf("<@%s> is now level %d. (%d XP/%d XP)", m.Author.ID, level, xp, levelUpRequirementCache[level-1]),
	)
}
